Add Erpnext Info
curl --request POST \
--url https://api.toingg.com/api/v3/add_erpnext_info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"erpUrl": "<string>",
"apiKey": "<string>",
"secret": "<string>"
}
'import requests
url = "https://api.toingg.com/api/v3/add_erpnext_info"
payload = {
"erpUrl": "<string>",
"apiKey": "<string>",
"secret": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({erpUrl: '<string>', apiKey: '<string>', secret: '<string>'})
};
fetch('https://api.toingg.com/api/v3/add_erpnext_info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}ERP Next Integration
Add ERP next Info
POST
/
add_erpnext_info
Add Erpnext Info
Overview
The “add_erpnext_info” endpoint allows users to integrate their ERP Next system with Toingg by securely submitting the necessary connection details. To add an ERP Next configuration, send a POST request to the/add_erpnext_info endpoint with a JSON body that includes the following fields:
{
"erpUrl": "string",
"apiKey": "string",
"secret": "string"
}
⌘I